Page MenuHomePhabricator

Add page property whenever the book-referencing attribute is used
Closed, ResolvedPublic5 Estimate Story Points

Description

Acceptance criteria:

  • Add a new page property "book referencing".
  • Add the page property to any page that includes the new attribute, upon save.
  • Should be possible to search for all pages which have the property attached.
  • With tests.

We're not sure how difficult it will be to remove the page property once the attribute is removed. If it's easy, include in this task. But we're thinking that each parser hook only has access to a small piece of wikitext, so cannot determine whether the attribute was not used elsewhere in the page.

Details

Related Gerrit Patches:
mediawiki/extensions/Cite : masterTag every usage of "extends" even when invalid
mediawiki/extensions/Cite : masterAdd page property when parsing book reference
mediawiki/extensions/Cite : masterrefArg parses and returns the `refines` attribute

Event Timeline

awight created this task.Nov 6 2019, 1:05 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 6 2019, 1:05 PM
awight set the point value for this task to 5.Nov 6 2019, 1:11 PM
awight claimed this task.Nov 8 2019, 10:25 AM
awight moved this task from Sprint Backlog to Doing on the WMDE-QWERTY-Sprint-2019-11-06 board.

Change 549834 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/Cite@master] refArg parses and returns the refines attribute

https://gerrit.wikimedia.org/r/549834

Change 549834 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] refArg parses and returns the refines attribute

https://gerrit.wikimedia.org/r/549834

Change 549839 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/Cite@master] Add page property when parsing book reference

https://gerrit.wikimedia.org/r/549839

Change 549839 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Add page property when parsing book reference

https://gerrit.wikimedia.org/r/549839

awight updated the task description. (Show Details)Nov 12 2019, 9:54 AM
thiemowmde closed this task as Resolved.Nov 20 2019, 1:03 PM

Change 553079 had a related patch set uploaded (by Awight; owner: Awight):
[mediawiki/extensions/Cite@master] Tag every usage of "extends" even when invalid

https://gerrit.wikimedia.org/r/553079

Change 553079 merged by jenkins-bot:
[mediawiki/extensions/Cite@master] Tag every usage of "extends" even when invalid

https://gerrit.wikimedia.org/r/553079